Skip to main content
Version: API v1

Verträge eines Kunden, die sich aktuell im Kündigungsprozess befinden

GET/v1/customers/{customerNumber}/cancelledcontracts
API version
v1
Request method
GET
Operation ID
listCancelledContractsByCustomer

Liefert alle Verträge eines Kunden, die aktuell gekündigt werden und sich noch nicht länger als 5 Tage in diesem Prozess befinden

Request​

  • customerNumberinteger
    required

    Die Kundennummer

Responses​

Format
application/json
Description

Die sich aktuell im Kündigungsprozess befindenden Verträge des Kunden

  • Array[
    • *object
      • titlestring
      • startDatestring (datetime)
      • contractDurationstring
    ]
Content-Type: application/json

[
{
"title": "string",
"startDate": "string",
"contractDuration": "string"
}
]
{
"type": "array",
"items": {
"title": "Contract",
"type": "object",
"properties": {
"title": {
"type": "string"
},
"startDate": {
"type": "string",
"format": "datetime"
},
"contractDuration": {
"type": "string"
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/customers/123/cancelledcontracts

On this page